Description: Bonjour,

Je voudrais mettre A, B, C, D en remplissant les boites de choix dans le sujet (La feuille de réponse est
séparée avec le sujet).

Trés bien cordialement,
Hoan THAN TRONG TRAN

History

10/31/2018 07:54 am - Hoan THAN TRONG TRAN
- File SUJETO1.pdf added

10/31/2018 07:54 am - Hoan THAN TRONG TRAN
- File SUJETO1.pdf added

10/31/2018 10:05 am - Frédéric Bréal

Bonjour,

> Je voudrais mettre A, B, C, D en remplissant les boites de choix dans le sujet (La feuille de réponse est séparée avec le sujet).
Normalement c'est le comportement par défaut pour la feuille de réponses.

Pouvez-vous joindre, votre fichier tex ?

10/31/2018 10:10 am - Hoan THAN TRONG TRAN

- File AMC_Test2018_11_10.tex added

- File FigThiHanDoiDau.pdf added

- File FigThiThiNghiemKeoThep.pdf added

Gérard Carpeaux wrote:

> Bonjour,

> > Je voudrais mettre A, B, C, D en remplissant les boites de choix dans le sujet (La feuille de réponse est séparée avec le sujet).

> Normalement c'est le comportement par défaut pour la feuille de réponses.

> Pouvez-vous joindre, votre fichier tex ?

Voici mes fichiers de tex et figs.

Merci beaucoup,

10/31/2018 10:21 am - Alexis Bienveniie

- Status changed from New to Feedback

Line 15 from your source file should be
\def\AMCchoiceLabel#1{\Alph{#1}}

(the @\def@ is missing).

10/31/2018 10:32 am - Hoan THAN TRONG TRAN
- File SUJETO1b.pdf added

Alexis Bienvenue wrote:

> Line 15 from your source file should be
>

> \def\AMCchoicelLabel#1{\Alph{#1}}

>

> (the @\def@ is missing).

Quand j'ai changé, les réponses dans le sujet ne sont pas identifiées

10/31/2018 10:32 am - Hoan THAN TRONG TRAN
- File SUJETO1b.pdf added

10/31/2018 10:35 am - Alexis Bienveniie

Pourtant cela fonctionne chez moi. Pouvez-vous essayer de commenter la ligne 15 (ajouter un @%@ au début) ? Quelle version d'’AMC utilisez-vous ?

10/31/2018 10:45 am - Hoan THAN TRONG TRAN
- File Version.png added

- File Code_Modified.png added

- File SUJETO1c.pdf added

Alexis Bienveniie wrote:

> Pourtant cela fonctionne chez moi. Pouvez-vous essayer de commenter la ligne 15 (ajouter un @%@ au début) ? Quelle version d'AMC utilisez-vous
?

J'ai commenté et ¢a va pas :'(

10/31/2018 10:49 am - Alexis Bienveniie

- File deleted (SUJETO1.pdf)

10/31/2018 10:49 am - Alexis Bienveniie
- File deleted (SUJETO1b.pdf)

10/31/2018 10:50 am - Alexis Bienveniie

Pouvez-vous préparer les documents en mode débogage (depuis le menu _Aide_), et poster le fichier @log@ produit ?

10/31/2018 10:55 am - Hoan THAN TRONG TRAN

- File amc-compiled.log added
Alexis Bienveniie wrote:

> Pouvez-vous préparer les documents en mode débogage (depuis le menu _Aide_), et poster le fichier @log@ produit ?

Je ne sais pas si ce fichier!

10/31/2018 11:06 am - Alexis Bienveniie
Pouvez-vous essayer avec une version plus récente d'/AMC ?

10/31/2018 11:09 am - Hoan THAN TRONG TRAN
Alexis Bienvenlie wrote:

> Pouvez-vous essayer avec une version plus récente d'AMC ?

oui, je vais essayer!

10/31/2018 02:41 pm - Frédéric Bréal
Essayez de changer a la ligne 1297 (a peu pres) dans le fichier automultiplechoice.sty en mode sudo (super-utilisateur).
Il'y a eu des précédents : https:/project.auto-multiple-choice.net/boards/4/topics/7219 et https://project.auto-multiple-choice.net/issues/544 et

https://project.auto-multiple-choice.net/boards/1/topics/6922

<pre>
\tl_to_lowercase:n
</pre>

par

<pre>
\tex_lowercase:D

</pre>

11/02/2018 06:26 am - Hoan THAN TRONG TRAN
- File SUJETO1d.pdf added

- File SUJETO1e.pdf added

- File Capture_d e cran 2018-11-02_a___12.24.16.png added

Alexis Bienveniie wrote:

> Pouvez-vous essayer avec une version plus récente d'AMC ?

Bonjour,

J'ai essayé mais ca ne marche pas, il n'y a pas les chiffres corrects dans la boite de choix sur la feuille de sujet. La feuille de réponse est toujours

correcte.

Il'y a des chiffres 0 dans la

11/02/2018 06:27 am - Hoan THAN TRONG TRAN

Gérard Carpeaux wrote:

> Essayez de changer a la ligne 1297 (a peu prés) dans le fichier automultiplechoice.sty en mode sudo (super-utilisateur).

> Il y a eu des précédents : https:/project.auto-multiple-choice.net/boards/4/topics/7219 et https://project.auto-multiple-choice.net/issues/544 et
https://project.auto-multiple-choice.net/boards/1/topics/6922

>
> par
> [..]

J'ai copié le fichier .sty dans le dossier qui contient le fichier de source et ga marche bien!

11/02/2018 09:33 am - Alexis Bienveniie
- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Super. Vous aviez avant une ancienne version de @automultiplechoice.sty@ dans votre répertoire projet, ce qui interfére avec AMC. Le mieux est de

le supprimer, et cela devrait fonctionner également.

11/02/2018 10:02 am - Hoan THAN TRONG TRAN
Alexis Bienvenue wrote:
> Super. Vous aviez avant une ancienne version de @automultiplechoice.sty@ dans votre répertoire projet, ce qui interfere avec AMC. Le mieux est de

le supprimer, et cela devrait fonctionner également.

Pourriez-vous tester le modéle avec les réponses séparées pour voir si les réponses dans le sujet sont bien identifiées A,B,C,D ?

J'ai testé avec le modéle séparé mais ca marche pas :(

11/02/2018 10:09 am - Alexis Bienveniie
Votre fichier @AMC_Test2018_11_10.tex@ marche trés bien chez moi.

11/02/2018 10:13 am - Hoan THAN TRONG TRAN
Alexis Bienveniie wrote:
> Votre fichier @AMC_Test2018_11_10.tex@ marche trés bien chez moi.

Est-ce que le probléme a cause d'utilisation de MAC?

11/02/2018 10:21 am - Hoan THAN TRONG TRAN

Hoan THAN TRONG TRAN wrote:

> Alexis Bienvenle wrote:

> > Votre fichier @AMC_Test2018_11_10.tex@ marche tres bien chez moi.
>

> Est-ce que le probléme a cause d'utilisation de MAC?

J'ai bien identifié. Merci beaucoup!!!
Hoan THAN

11/02/2018 10:51 am - Alexis Bienveniie
> J'ai bien identifié. Merci beaucoup!!!
Quel était le probléme ?

Files
amc-compiled.log 21.4 kB

SUJETO1d.pdf 174.4 kB

SUJETO1e.pdf 46.5 kB
